﻿@model IEnumerable<SSOTestApp.Models.CalendarDetailModel>

@{
    ViewBag.Title = "Calendar";
}

<h2>Calendar</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.CalendarName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Owner)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.CalendarName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Owner)
        </td>
        <td>
            @Html.ActionLink("View", "", new { id=item.Id }) |
            @Html.ActionLink("Create Event", "CreateEvent", new { CalendarId = item.CalendarId }) |
            @Html.ActionLink("Delete", "", new { id=item.Id })
        </td>
    </tr>
}

</table>
